apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: pylokid
  name: pylokid
  namespace: pylokid
spec:
  replicas: 1
  selector:
    matchLabels:
      app: pylokid
  strategy: {}
  template:
    metadata:
      labels:
        app: pylokid
    spec:
      containers:
      - image: tobru/pylokid:latest
        name: pylokid
        resources: {}
        env:
          - name: IMAP_SERVER
            value: hosted.mailcow.de
          - name: WEBDAV_URL
            value: https://files.feuerwehrurdorf.ch/remote.php/webdav/
          - name: WEBDAV_BASEDIR
            value: /Stab/Fourier/Einsatzdepeschen
          - name: LODUR_BASE_URL
            value: https://lodur-zh.ch/urdorf/index.php
          - name: IMAP_CHECK_INTERVAL
            value: '30'
        envFrom:
          - secretRef:
              name: pylokid
        ports:
          - containerPort: 8080
            protocol: TCP
